Bug 1311124 - Implement inode_forget_cbk() similar fops in gfapi
Summary: Implement inode_forget_cbk() similar fops in gfapi
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: mainline
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Soumya Koduri
QA Contact: Sudhir D
URL:
Whiteboard:
Depends On:
Blocks: 1311445
TreeView+ depends on / blocked
 
Reported: 2016-02-23 12:53 UTC by Soumya Koduri
Modified: 2016-06-16 13:58 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1311445 (view as bug list)
Environment:
Last Closed: 2016-06-16 13:58:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Soumya Koduri 2016-02-23 12:53:54 UTC
Description of problem:
We do not have implementation for cbk fops like forget(), release() and releasedir() in gfapi xlator. This bug is to track the changes. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-02-23 12:59:15 UTC
REVIEW: http://review.gluster.org/13498 (libglusterfs: Change log-level to DEBUG for default_* fops()) posted (#1) for review on master by soumya k (skoduri@redhat.com)

Comment 2 Vijay Bellur 2016-02-23 12:59:17 UTC
REVIEW: http://review.gluster.org/13499 (gfapi: Add xlator_cbks fops in gfapi) posted (#1) for review on master by soumya k (skoduri@redhat.com)

Comment 3 Vijay Bellur 2016-02-23 18:47:27 UTC
COMMIT: http://review.gluster.org/13498 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 730ea2ca509a5bea05726090cd1e4cb67f040b7c
Author: Soumya Koduri <skoduri@redhat.com>
Date:   Tue Feb 23 18:10:36 2016 +0530

    libglusterfs: Change log-level to DEBUG for default_* fops()
    
    Change-Id: I7087476bbc00cd23ba65ea119bc0fe8a9bff347d
    BUG: 1311124
    Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    Reviewed-on: http://review.gluster.org/13498
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 4 Vijay Bellur 2016-02-24 00:59:19 UTC
COMMIT: http://review.gluster.org/13499 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit dcb13de77d0ac056b588f3eb7414e33afeeb3629
Author: Soumya Koduri <skoduri@redhat.com>
Date:   Tue Feb 23 18:27:09 2016 +0530

    gfapi: Add xlator_cbks fops in gfapi
    
    Change-Id: I1fe5dd757e65206f92e0a867b43b49a3c0f2d4cf
    BUG: 1311124
    Signed-off-by: Soumya Koduri <skoduri@redhat.com>
    Reviewed-on: http://review.gluster.org/13499
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>

Comment 5 Niels de Vos 2016-06-16 13:58:25 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.